-----
1.1a5
-----
New Features:
  + Holding down SHIFT while opening a message toggles Show All Headers switch
  + Holding down SHIFT while selecting Send/Queue button brings of CQ dialog
  + On quit, if messages queued within 12 hours, prompt for send
  + If manually checking for mail, Alert switch is on, and no new mail, get an
    alert saying no new mail (for novices)
  + If messages queued to be sent and POP server has not been logged in to,
    mail check causes mail to be downloaded first to get rid of "(Unverified)"
    in X-Sender: header of outgoing messages
  + If Ph server field in Configurations, use POP account machine
  + New cursor in mailboxes
  + Mail directory can be specified as first parameter on command line

Bugs:
  + Sort by priority wrong, highest on bottom, lowest on top
  + New mail sound not working for sound cards
  + Dual () comment in recipient causes additional empty recipient
  + Periods at beginning of a line not being quoted when sent
  + From line not being quoted when in body of composition message
  + Forward/Resend of non-saved composition messages causing GPF
  + Send Queued Messages menu item not enabled sometimes when should be
  + Date in message summary not being set on some sent messages
  + Daylight Savings Time not being computed correctly
  + Only LFs being added to ends of binhex lines
  + Recipient list not saved, and Trash not emptied (if switch is set) if you
    close PC Eudora by quitting Windows
  + Auto receive attachments checked with no specified directory causes GPF
  + Removing a mailbox in Mailboxes dialog that doesn't have a .MBX
    file causes a GPF

Tuning:
  + New mail sound now configured by the NewMailSound entry in the
    [Miscellaneous] section of the INI file.
  + Wait cursor not remaining during some operations
  + Date: header now not added to outgoing messages when timezone info not
    available, in hopes that SMTP server will set it correctly


-----
1.1a6
-----
New Features:
  + When resending a message, get warning if attachment(s) not found
  + New.. menu item added to Transfer menu
 
Bugs:
  + Wait cursor not returning to arrow cursor causing Windows to hang
  + Nickname rename causing weird things to happen, often GPF
  + Going up a folder level in Mailboxes dialog sometimes causes GPF
  + Various Bad Things(tm) happening in Mailboxes dialog

Tuning:
  + Quicker last message find with POP3 LAST command.  Add the entry
    UsePOPLast=1 to [Switches] section of the EUDORA.INI file.
    CAUTION: some POP3 servers don't respond to the LAST command correctly
    (e.g. Berkleley's popper), so test it out.


-----
1.1a7
-----
Bugs:
  + Main window icon blank if starting up minimized


-----
1.1a8
-----
New Features:
 + TabooHeaders entry in [Miscellaneous] section of EUDORA.INI file is a
    comma separated list of headers (without colon) that shouldn't be shown
    when Show All Headers switch is not on.  Default list is:
    Received,Status,Message-Id,In-Reply-To,X-Sender,X-Priority
 + Easy Open switch: if an open message is transferred or deleted, the next
    message in the mailbox is automatically opened.
 + Compact single mailbox by clicking on mailbox size button
 + PhReturn entry in [Miscellaneous] section of EUDORA.INI file is string
    that is appended to every Ph command before sending to the Ph server.
    For example, "PhReturn=return all" would return all fields of the records
    returned by the query, and "PhReturn=type=person" would return all matches
    to the query with the additional filter that the record is a person.

Bugs:
 + Binhex attachments using RLE cause GPF
 + PC Eudora preventing Windows from exitting when Empty Trash On Quit switch
    turned on
 + Paste As Quote hotkey not working
 + With LMOS on, "Getting message X of N" not diplaying X number correctly
 + After minimizing a window, hitting close box of foregound window doesn't
    close it and sometimes closes another window.
 + Minimized windows not restored when selected from menus (e.g. In mailbox)
 + Hitting TAB in body of sent message with Tabs In Body switch on causes
    body to be replaced with TAB
 + TAB not going to next TAB stop, but always adding number of spaces
    specified in Tab Stop field in Configurations
 + Various Mailboxes and Nicknames dialogs bugs

Tunning:
 + Windows' Common Dialogs now used for file/directory selection and printing
 + Redo of find.  Enter selection hotkey (Ctrl+=) now works.  Escape
    cancels searching.


-----
1.1a9
-----
Bugs:
 + Wait cursor during password dialog
 + Some major and not-so-major bugs with Mailboxes dialog

Tunning:
 + WinSock error numbers added to network error dialogs


------
1.1a10
------
Bugs:
 + Some nicknames getting dropped from recipient lines.  Nicknames cannot
    have the following characters in them: @<>()[],"' and space.
    If you have any nicknames with one of these characters in them (in the
    nickname itself, not the Address(es), you can have anything you want in
    the Address(es) part), rename them so that they don't.  PC Eudora now
    doesn't let you name nicknames with these characters.
 + General nickname weirdness
 + Compact mailboxes sometimes happens when you click another button on the
    toolbar of a mailbox


-----
1.4a1
2.0a1
-----
New Features:
 + MIME support (except character sets).  Send and receive MIME messages.
    There's a new section for the EUDORA.INI file called [Mappings] which
    holds info when switching between PC, Mac, and MIME.  The format of an
    entry in the [Mappings] section looks like:

    <dir>=<extension>,<Mac creator>,<Mac Type>,<MIME type>,<MIME subtype>

    where <dir> is the direction of the attachment, which can have the
    values "in", "out", or "both".  Values for Mac and MIME fields can be
    blank to match whole categories.  Here's a sample [Mappings] section:

    [Mappings]
    in=txt,,TEXT,,
    out=txt,ttxt,TEXT,,
    both=doc,MSWD,,,
    both=xls,XCEL,,,
    both=jpg,,,image,jpeg
    both=gif,,,image,gif
    both=mpg,,,video,mpeg

    There's two new icon switches on composition windows.  The MIME switch
    tells whether or not attachments should be encoded using MIME if it is
    on, or Binhex if it is off.  The QP switch tells whether text with
    funny characters (> 127) should be encoded using the MIME encoding
    quoted-printable.  The only reason you would probably want the QP
    switch turned off is if you are sending a message to someone who
    doesn't have a MIME capable mail reader and the message has some
    characters (usually because it's a non-English language) that you
    want to be sent raw (not encoded in QP).

    With this new support for mappings, old versions of PC Eudora incorrectly
    mapped non-text attachments.  This means that if you send a non-text
    binhex attachment with an old version of PC Eudora to a new version of
    PC Eudora (1.4 or above), the new version will decode it incorrectly
    because it will be marked as a text attachment (long story shortened).

Bugs:
 + GPF on selecting Cancel when problems with emptying Trash on Quit
 + Some headers needed for a reply (e.g. Reply-To:) that are hidden by
    Show All Headers switch causing malformed reply
 + Quitting by using Task List's "End Task" causes GPF

Tunning:
 + Password now encoded with base64 in EUDORA.INI file
 + Message windows opened low enough so that if the main menu is placed at the
    top it remains uncovered


-----
2.0a1
-----
New Features:
 + Double-clicking on the "Attachment Converted..." line of a message
    will open the document (you must have an association in your WIN.INI
    file for the attachment in question for this to work properly)
 + Decoding of uuencoded attachments


-----
1.4a2
2.0a2
-----
Bugs:
 + Recipients strewn together as one big recipient
 + From line not correctly quoted causing truncated messages
 + Body and signature incorrectly being encoded using quoted-printable
    whenever there is an attachment
 + Progress bar not shown for body and signature of outgoing messages

Tunning:
 + TEXT->HQX composition icon changed to TEXT->DOC to indicate text
    attachments are encoded using whatever is specified in MIME switch, not
    just binhex


-----
1.4a3
2.0a3
-----
Bugs:
 + Text attachments not getting sent, or sent incorrectly
 + GPF when sending mail and Show Progress turned off
 + GPF after typing in a long string in Configurations dialog

-----
1.4a5
2.0a5
-----
New Features:
 + TimeZone entry of [Miscellaneous] section of EUDORA.INI file can be used
    in place of TZ environment variable

Bugs:
 + Empty recipient sometimes sent in RCPT TO: line
 + Various nicknames troubles
 + Quoted parts of addresses getting stripped

Tunning:
 + Using new version of Zinc
 + Addresses of nicknames with multiple addresses can be separated by a
    carriage return as well as by comma
 + Nicknames now only limited by no leading and trailing spaces and no commas.
    Address lines (To:, Cc:, and Bcc:) now get nicknames resolved first and
    then get stripped of comments.  So you can no longer do something like
    "nickname (comment)" and expect to get the nickname resolved correctly,
    but that's probably not as big a limitation as not being able to embed
    spaces and some of the other previously banned characters.


-----
2.0a6
-----
New Features:
 + Set Status menu item under Message menu

-----
1.4a6
2.0a6
-----
New Features:
 + Automatic compact of mailboxes when closed, under 2 conditions:
    1. Wasted space > 50% of total mailbox space
    2. Wasted space > 5% of total free space on mail directory disk

    To change these values, add the entries CompactMailbox% and
    CompactDisk% to the [Miscellaneous] section of the EUDORA.INI file.
    For example, if you like to compact more often, you could change the
    values to 25% of mailbox space and 1% of disk space like this:

    [Miscellaneous]
    CompactMailbox%=25
    CompactDisk%=1

Bugs:
 + Windows minimized during exit become very small when restored
 + Mailboxes sometimes get stuck in mouse down mode
 + Check mail/message sent time incorrect


-----
2.0a7
-----
New Features:
 + Ctrl-doubleclick on title bar of message opens up the mailbox it
    belongs to and selects the message

-----
1.4a7
2.0a7
-----
Bugs:
 + Closing a non-saved composition message causes a GPF
 + Composition message not recentering when caret goes off screen
 + Problems with splitting messages in to multiple parts
 + Sorting a mailbox by the same field a second time not resorting


-----
1.4a8
2.0a8
-----
New Features:
 + MDI support
 + Window menu: some items from other menus are here now
 + Menu items now working for Undo, Cut, Copy, Paste,
    Paste as Quotation, Clear, Enter Selection (selected text goes to find
    window), Show Insertion Point (scrolls text to where caret is),
    Insert Recipient (adds recipient at caret spot), and Add as Recipient
    (makes selected text a recipient)

Bugs:
 + Notes of nicknames not being displayed in Nicknames window
 + GPF in compact mailboxes
 + Bug with non-MIME Content-Type: header
 + "me" nickname not recognizing CRLF as address delimiter
 + TEXT->DOC switch not being saved
 + Text file attachments inside message body always getting encoded using
    quoted-printable even though they have no funny chars and could use ASCII
 + Match Case and Summaries Only checkboxes of find window not displayed right
 + Parsing problem with redirect of "comment <address>" style addresses
 + Large incoming message that gets split causes subsequent incoming messages
    to fail
 + Deleting a nickname causes addresses of nickname to be put in adjacent
    nickname
 + Attachments with spaces in extension not getting spaces removed

Tuning:
 + More descriptive network error messages
 + Default port numbers for services not found in SERVICES file
 + Host name not required anymore for sending mail
 + Extra consistency check while compacting a mailbox
 + Summary selection in mailboxes now remains after sorting


-----
2.0a9
-----
New Features:
 + Return Receipt of sent messages (RR icon in composition windows).
    CAUTION: many Mail Transfer Agents don't support the Return-Receipt-To:
    header, and those that do will tell you when the message landed in the
    recipient's mailbox, NOT when the recipient actually read it.
 + Tidy Attachment Dir switch deletes attachment files of messages when the
    message is emptied from the Trash mailbox, and the attachment is in the
    Auto Recieve Directory
 + UUencode support for attachments
 + Alternate signature choice
 + Double-clicking on attachment line in message with an attachment with an
    extension that has no association brings up file dialog asking for
    application to open it
 + Finish Nickname: like file completion, but for nicknames.  Works on selected
    text, or the text to the left of the caret.

-----
1.4a9
2.0a9
-----
New Features:
 + Now using date format in WIN.INI for date field of message summaries.
    I.e. format will be mm/dd/yy, dd/mm/yy, or yy/mm/dd.

Bugs:
 + Make Nickname and Mailbox->Rename dialogs not working properly
 + Cut, Copy, Paste, etc. menu items working strangely sometimes for comp         windows
 + Mailboxes and Progress windows showing & character as underline
 + Bogus value of saved password causes error in sending password to POP server
 + Mailbox icon of minimized main window not displaying correctly with new mail
 + Minimized message window on startup is garbled when window is restored
 + Mailbox icon buttons not working right after new mail received
 + Resizing of composition messages messed up
 + Ominous nickname bug with rebuilding recipient list causing really bad
    things to happen like locking up and kicking you out of Windows in to DOS
 + Progress window sometimes getting weird strings for Sender, Subject
    during download of mail
 + Recipient list not getting saved sometimes
 + Combo boxes for screen and printer font in Configuration dialog not
    dropping down
 + Default port numbers for services not working correctly
 + Mailbox toolbar icons keeping focus so that ENTER key doesn't
    open selected messages
 + Opening windows (e.g. via the Window menu or opening messages via a mailbox)
    when the window is minimized doesn't restore the window
 + MIME RFC-822 message part with embedded MIME attachment not getting converted
 + Appledouble and Applesingle not getting decoded correctly


------
1.4a10
2.0a10
------
Bugs:
 + Text attachments getting extra garbage at beginning


------
2.0a11
------
New Features:
 + Three new entries in [Miscellaneous] section of EUDORA.INI file involving
    how replies/forwards are formatted.  QuotePrefix is the string that precedes
    all lines in the original message, and QuoteStart and QuoteEnd are the
    strings that get inserted before and after, respectively, the original
    message.  A newline is added after the QuoteStart and before the QuoteEnd.
 + Transfer to Out mailbox

------
1.4a11
2.0a11
------
New Features:
 + Added [Debug] section of EUDORA.INI file.  Two entries in there to start:
    All log information goes to the file EUDORA.LOG, inside the Eudora
    directory.
    LogLevel is a number specifying the level to logging to perform,
    implemented as bit flags (default is 0):
        Bit 1  (1):  Sending of a message
        Bit 2  (2):  Receipt of a message
        Bit 3  (4):  Not used yet
        Bit 4  (8):  Alert messages
        Bit 5 (16):  Progress messages
        Bit 6 (32):  All bytes transferred and received
    LogFileSize is the size (in KB) of when the log file is restarted (default
    is 100KB).

Bugs:
 + Ctrl+<left arrow> and Ctrl+<right arrow> not switching messages
 + Some display problems when deleting/renaming a folder on one side of the
    Mailboxes dialog when that folder is displayed on the other side
 + Some AppleSingle attachments not decoded correctly
 + Address of format '"blah (in-paren)" <address>' only showing in-paren
 + Problems downloading messages with very large headers
 + Multiple part messages not getting 1/X appendage
 + Copy, Copy, Paste, etc. menu items not working for Nicknames window
 + Hitting Delete toolbar button in mailbox while switching windows sometimes
    causing deletion of messages in other mailboxes
 + Selecting an item in a combobox in a composition message makes
    the arrow keys non-functional in the body of the message
 + Messages not successfully sent sometimes causing PC Eudora to be in a
    weird state where it won't close windows or exit
 + Mailboxes not redisplaying correctly after screen font change

Tunning:
 + Change Queueing time and date now defaults to previously set
    time and date
 + Date/time used for sorting by Date now takes in to account the timezone,
    including most of the timezone acronyms (tell me about any weird ones you
    find)
 + Nicknames window not hogging up GDI space for large numbers of nicknames


------
1.4a12
2.0a12
------
Bugs:
 + Strings in EUDORA.INI file longer than 256 characters getting truncated
 + Leading and trailing space deleted from TZ/TimeZone
 + TabooHeaders not checking for prefix correctly
 + Debug logging code causing some GPFs with long strings
 + Composition message switches not displaying correctly with some video cards

Tunning:
 + Guess Paragraphs and Include Headers switches are now in Save As... dialog
 + Saving a read message now counts as reading a message
 + Changes to LogLevel EUDORA.INI entry of [Debug] section.  Byte transfer and
    receive now have their own flags.  Flags now look like this:
        Bit 1  (1):  Sending of a message
        Bit 2  (2):  Receipt of a message
        Bit 3  (4):  Not used yet
        Bit 4  (8):  Alert messages
        Bit 5 (16):  Progress messages
        Bit 6 (32):  All bytes transferred
        Bit 7 (64):  All bytes received


------
1.4a13
2.0a13
------
Bugs:
 + Runtime error when opening a message with Show All Headers off
    and no TabooHeaders defined in EUDORA.INI file


------
2.0a14
------
New Features:
 + Filters operational
 + Show All Headers button on read messages

Bugs:
 + QuotePrefix/QuoteStart/QuoteStart modifying replies as well as forwards

------
1.4a14
2.0a14
------
Bugs:
 + TabooHeaders only removing first header in list
 + Some display problems in Mailboxes dialog when renaming/deleting folders
 + Renaming a nickname after changing contents doesn't save contents
 + Checkmark indicating recpient list status in Nicknames window not showing
    up when highlight color is black
 + Saving a queued message removes queued status


------
1.4b16
------
Bugs:
 + Hitting Send/Queue button of composition message causes GPF


------
1.4b17
------
Bugs:
 + Uuencode and Tidy Attachment Dir switches showing up when they shouldn't be


------
2.0b18
------
New Features:
 + Holding down Shift key while selecting File->Quit (or Shift+Ctrl+Q) saves
    which windows are open
 + If an existing name is given for a nickname in the Make Nickname dialog,
    the user is asked if the existing nickname's addresses should be replaced,
    added to, or another name should be chosen
 + Double-clicking Attachment Converted line in message when attachment file
    has been erased gives error dialog
 + Drag and drop single or multiple files from File Manager onto composition
    windows to attach them to the message
 + Mailbox summaries now show bitmap to the right of the priority bitmap
    telling if a message has an attachment
 + Finish nickname now finishes partial matches of ambiguous prefixes
 + Holding down <Shift> while doing Finish Nickname or hitting To:, Cc:, or
    Bcc: buttons in Nickname window replaces the nickname with the full
    expansion of the nickname
 + Fix Curly Quotes switch turns open/close single and double quotes into
    undirectional quotes if message otherwise wouldn't be QP'ed

Bugs:
 + When there are no filters in the Filters window, Match and Action sections
    are enabled, allowing input to a non-existing filter
 + Contains verb in Filters not performing case insensitive check
 + Attachments with no extension doesn't bring up Choose Application dialog
    when the Attachment Converted line is double-clicked
 + Last modified filter information sometimes not saved
 + Partial nickname in address header with leading space not getting completed
    with Finish Nickname

Tunning:
 + New filters default to have Incoming option on
 + Progress window now shown for each message that gets filtered


------
1.4b18
2.0b18
------
New Features:
 + Make Nickname... now works on nicknames selected in the Nicknames window
 + May Use QP switch (if you previously had used the UseQP entry in the
    [Miscellaneous] section of the EUDORA.INI file, use this switch instead)

Bugs:
 + Text with funny chars still getting QP'ed when QP switch is off
 + Alt-TAB to main window when minimized sometimes doesn't restore window
 + Outgoing message with empty or single-line signature causes message to be
    QP'ed
 + Lots of text (including fully expanded nicknames) in a recipient
    header (To:, Cc:, or Bcc:) causes GPF

Tunning:
 + Menus now pop up much faster with large mailboxes


------
2.0b19
------
New Features:
 + Wrap Selection menu item in Edit menu: wraps the selected text similar to
    the way Word Wrap works on outgoing messages.  Holding down <Shift> while
    selecting Wrap Selection unwraps, similar to the way Guess Paragraphs
    works when saving messages to a text file.
 + Holding down <Shift> while selecting Copy menu item unwraps text before 
    sending to clipboard (handy for turning email messages into word processor
    paragraphs)
 + Added Search and Help on Help menu items to Help menu
 + Mailbox columns are resizeable.  When the cursor passes over a mailbox
    column, the cursor shape changes and holding down the left mouse button
    and dragging allows you to move the position of the column separator.
    Column size changes are made to that mailbox only.
 + Can send messages via POP server (if POP3 server supports the XTND XMIT
    command, which Berkeley's popper does).  Set UsePOPSend=1 in [Switches]
    section of EUDORA.INI.
        +'s: Requires username/password, sends faster (esp. when checking at
             same time as sending)
        -'s: Very bad at validating recipients
 + Undo Transfer of messages between mailboxes

Bugs:
 + Long search strings in filters overwritting Header: field


------
1.4b19
2.0b19
------
New Features:
 + Scroll bars added to main window when needed

Bugs:
 + Mailbox icon not showing up in Alt-TAB list
 + Main window icon not switching to new mail icon when minimized


------
2.0b20
------
New Features:
 + Administrator features (edit these strings in the STRINGTABLE of WEUDORA.EXE
    with your favorite resource editor):
        1: Set to 1 to disable the Save Password switch
        2: Minimum value for the Check For Mail Every ? Minutes in Configuration

------
1.4b20
2.0b20
------
New Features:
 + Splash screen at startup

Bugs:
 + Holding mouse button down and dragging to the bottom of a composition
    window that is maximized within a maximized main window does not cause
    text to scroll
 + 8-bit characters in headers causes GPF
 + New mailboxes sized very small or very large
 + Notes: prompt not showing up when Nickname window first displayed

Tunning:
 + Error beeps now using Exclamation sound as specified in the
    Sound applet of the Control Panel
 + Improvements to moving around in composition windows


------
2.0b21
1.4b21
------
Bugs:
 + Hitting Tab in body of composition message when Tabs In Body is turned on
    causes caret to go to top of body
 + Cancelled BinHex attachment not remaining in message

Tunning:
 + Attachments with no extension now get a period tacked on the end so that
    openning them up in applications doesn't give them a default extension


------
2.0b22
1.4b22
------
Bugs:
 + Closing a never-saved composition window while maximized causes GPF
 + To:, Cc:, and Bcc: buttons in Nickname window sometimes not working on the
    correct composition window
 + Bad eudora directory in command line or EUDORA environment variable causes
    GPF

Tunning:
 + If an error occurs while sending a message, only a bad recipient will
    cause the message to get an unsendable status, the rest stay queued

